code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
#!/bin/bash #Folders _ALGORITHMS="Algorithms" _UTILS="utils" _BASH="bash" _INSTANCE_MAKER="InstanceMaker" _CONFIGURATION="Configuration" _TESTS_INSTANCES="TestsInstances" _RESULTS="Results" _GRAPHS="Graphs" _ALGORITHM_BIN="bin" _F_BITMATRIX_COMPARATOR="Bitmatrix_Comparator" #Text Files _DDM_PARALLEL="DDM_Parallel" _...
nicholasricci/DDM_Framework
utils/bash/definitions.sh
Shell
gpl-3.0
693
#!/usr/bin/env bash grep ' 1 ' $(pwd)/out/*.out > $(pwd)/tmp/data1.txt grep ' 2 ' $(pwd)/out/*.out > $(pwd)/tmp/data2.txt grep ' 3 ' $(pwd)/out/*.out > $(pwd)/tmp/data3.txt grep ' 4 ' $(pwd)/out/*.out > $(pwd)/tmp/data4.txt grep ' 5 ' $(pwd)/out/*.out > $(pwd)/tmp/data5.txt
dywanik/APM
apm_search.sh
Shell
gpl-3.0
299
#!/bin/sh ASSET_DIR=$(dirname $0) EXT_VERSION="4.1.1a" EXT_ARCHIVE="ext-$EXT_VERSION-gpl.zip" EXT_DIR="ext-$EXT_VERSION" ZF_VERSION="1.12.0-minimal" ZF_ARCHIVE="ZendFramework-$ZF_VERSION.tar.gz" ZF_DIR="ZendFramework-$ZF_VERSION" PCHART_VERSION="2.1.3" PCHART_ARCHIVE="pChart$PCHART_VERSION.tar" PCHART_DIR="pChart$PC...
ubccr/ubmod
portal/assets/setup.sh
Shell
gpl-3.0
1,434
#Crypt - Entropy #Resource: https://random-notes-of-a-sysadmin.blogspot.com/2016/04/is-raspberry-pi-suitable-and-safe-to.html?m=1 #Resource: https://blog.cloudflare.com/ensuring-randomness-with-linuxs-random-number-generator/ #Resource: https://www.2uo.de/myths-about-urandom/ #Resource: https://security.stackexchange.c...
danman10000/ics355_demos
Entropy.sh
Shell
gpl-3.0
2,734
#!/bin/sh nweb 80 /srv/www cat << CEOF  'nweb' has been started on port 80, serving '/srv/www'. CEOF
ivandavidov/minimal
src/minimal_overlay/bundles/nweb/90_nweb.sh
Shell
gpl-3.0
112
#! /bin/sh for NME in data* do 7z a -t7z -mx9 $NME.7z $NME done
sialan-labs/Meikade
tools/zipper.sh
Shell
gpl-3.0
69
#!/bin/bash set -eux # shellcheck source=tests/lib/dirs.sh . "$TESTSLIB/dirs.sh" # shellcheck source=tests/lib/snaps.sh . "$TESTSLIB/snaps.sh" # shellcheck source=tests/lib/pkgdb.sh . "$TESTSLIB/pkgdb.sh" disable_kernel_rate_limiting() { # kernel rate limiting hinders debugging security policy so turn it off ...
morphis/snapd
tests/lib/prepare.sh
Shell
gpl-3.0
17,131
#!/bin/sh ############################################################## # Do not edit. Managed by Puppet. Changes will be wiped out. # ############################################################## # /etc/cron.daily/puppet-gitpull.sh # # Pull updates on daily basis from my GitHub dl380g7 repository # (the remote repos...
berrak/dl380g7
modules/hp_puppetize/files/puppet-gitpull.sh
Shell
gpl-3.0
646
#!/bin/bash # A naive Bash script for building the executable: mki3dgame # It is assumed that you are using bash shell and you have: # - Go compiler installed, and # - $GOPATH set properly, and # - the Go packagaes 'github.com/go-gl/{gl,glfw,mathgl}' and 'golang.org/x' installed while getopts ":u" opt; do ech...
mki1967/mki3dgame
make-mki3game.bash
Shell
gpl-3.0
478
autoreconf -if || exit $? test -n $NOCONFIGURE && ./configure $@
ptomato/gt
autogen.sh
Shell
gpl-3.0
65
#!/usr/bin/bash # By Fahad Alduraibi 2015 # http://www.fadvisor.net # Get you API key from Google: # https://developers.google.com/url-shortener/v1/getting_started#APIKey API_key='PUT YOUR KEY HERE' GoogleURL='https://www.googleapis.com/urlshortener/v1/url?key='$API_key longURL=$1 # -f to supress fail messages, -s ...
fduraibi/Google-URL-Shortener
gshort.sh
Shell
gpl-3.0
647
#!/bin/sh # Ensure that cat -E produces same output as cat, module '$'s, # even when applied to a file in /proc. # Copyright (C) 2006-2019 Free Software Foundation, Inc. # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the ...
komh/coreutils-os2
tests/misc/cat-proc.sh
Shell
gpl-3.0
1,340
#!/bin/sh # Enable the 'mdev' hotplug manager. echo /sbin/mdev > /proc/sys/kernel/hotplug # Initial execution of the 'mdev' hotpug manager. /sbin/mdev -s cat << CEOF  The 'mdev' hotplug manager is active. CEOF
ivandavidov/minimal
src/minimal_overlay/bundles/kernel_modules/10_modules.sh
Shell
gpl-3.0
222
#!/bin/bash -v OPTIONS="-O3 -march=native" CLANG_OPTIONS="-O3 -march=native" g++ $OPTIONS card-raytracer.cpp -o card-raytracer-cpp.exe g++ $OPTIONS card-raytracer-rwolf.cpp -o card-raytracer-rwolf-cpp.exe g++ $OPTIONS card-raytracer-opt.cpp -o card-raytracer-opt-cpp.exe clang++ $CLANG_OPTIONS card-raytracer...
Mark-Kovalyov/CardRaytracerBenchmark
cpp/make.sh
Shell
gpl-3.0
534
#!/bin/bash # Let's make the user give us a target to work with. # architecture is assumed universal if not specified, and is optional. # if arch is defined, it we will store the .app bundle in the target arch build directory if [ $# == 0 ] || [ $# -gt 2 ]; then echo "Usage: $0 target <arch>" echo "Example: $0 rel...
wolfetplayer/RealRTCW
make-macosx-app.sh
Shell
gpl-3.0
12,217
#!/bin/bash # Copyright Mandriva 2009, 2010 all rights reserved . '../functions.sh' check_root fw_lan=$1 fw_wan=$2 roundcube_db_conf_template="templates/db.inc.php.tpl" roundcube_main_conf_template="templates/main.inc.php.tpl" mbs_logo="templates/mbs_logo.png" # copy the logo cp -f $mbs_logo /usr/share/roundcubema...
pulse-project/mss
modules/mds_webmail/setup-webmail.sh
Shell
gpl-3.0
1,473
#!/bin/bash # # anonfiles.com module # Copyright (c) 2012 Plowshare team # # This file is part of Plowshare. # # Plowshare is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # ...
mytskine/plowshare
src/modules/anonfiles.sh
Shell
gpl-3.0
2,470
#!/bin/sh PID=`cat ~/workspace/rs-testbed/tmp/target/quagga-0.99.15/etc/bgpd.pid` VALUE=`ps -p $PID -o rss=` if [ "$VALUE" = "" ]; then echo "NaN" else echo $VALUE fi
sspies8684/hoofprints
scripts/getQuaggaMemory.sh
Shell
gpl-3.0
173
#!/usr/bin/env bash MAXTOOLCOUNT=20 ################################################################################ # # I need to work in the canonical location, because I want to access # resources that are typically bundled with this script. # # I try GNU readlink first, if I don't find it I will rely on POSIX # r...
LibertyEiffel/Liberty
install.sh
Shell
gpl-3.0
24,624
#!/bin/bash WORK_DIR=oldboy create(){ i=1 while(($i<11)) do cd $WORK_DIR && touch `tr -dc "a-z"</dev/urandom | head -c 10`_oldboy.html i=$(($i+1)) done } check(){ if [ -d $WORK_DIR ]; then create else mkdir $WORK_DIR create fi } check
auspbro/CodeSnippets
Shell/maintainer_pratice/ex2.sh
Shell
gpl-3.0
312
#!/bin/sh stamp=`docker inspect -f '{{.Created}}' ebusd-buildenv 2>/dev/null` if [ -z "$stamp" ] || ( rm -f .stamp && touch -d "$stamp" .stamp && [ buildenv/Dockerfile -nt .stamp ] ) ; then echo "updating ebusd build environment..." docker rmi -f ebusd-buildenv 2>/dev/null (cd buildenv && docker build -t ebusd-bu...
mivola/ebusd
contrib/docker/build.sh
Shell
gpl-3.0
747
#/bin/bash # cd /tmp && yum install wget -y && wget https://github.com/munishgaurav5/ks/raw/master/us_noraid_1disk_centos7_minimal_install.sh && chmod 777 us_noraid_1disk_centos7_minimal_install.sh && ./us_noraid_1disk_centos7_minimal_install.sh #export INSTALL_SRV="http://KICKSTART_SRV_FQDN/" ### NEW ### yum -y ins...
munishgaurav5/ks
us_noraid_1disk_centos7_minimal_install.sh
Shell
gpl-3.0
3,202
#!/usr/bin/env bash # # Common set of functions used by modules # Copyright (c) 2010-2016 Plowshare team # # This file is part of Plowshare. # # Plowshare is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either...
arcresu/plowshare-debian
src/core.sh
Shell
gpl-3.0
132,226
#!/bin/sh # operate on a very small (1-sector) "disk" # Copyright (C) 2009-2014, 2019-2021 Free Software Foundation, Inc. # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 3 of th...
bcl/parted
tests/t0001-tiny.sh
Shell
gpl-3.0
1,567
#!/bin/bash function help() { echo "Usage: buildpkg.sh BUILD_DIR INSTALLER_STUB QCOMPRESS_BIN RUNTIME_DEPS_DIR ARTEFACTS_DIR TARGET_DIR TARGET_NAME" } function build() { checkDependencies setupOrCleanBuildDir copyRuntimeDependencies setupRuntimeDependenmcies copyArtefacts fixLibraryNames copyInstallerStub mk...
baoping/Red-Bull-Media-Player
Setup/BuildPackage/mkpkg.sh
Shell
gpl-3.0
3,532
#!/bin/sh curl -X POST "http://localhost:8081/createItem?name=javastuff" --data-binary "@config.xml" -H "Content-Type: text/xml"
pnmtjonahen/docker
ci/jobs/javastuff/setup.sh
Shell
gpl-3.0
129
#!/bin/bash # bash voodoo to find absolute path of the directory this file is in without symlinks # taken from stackoverflow, seems to work well FIND_CONF_DIR="${BASH_SOURCE[0]}" while [ -h "$FIND_CONF_DIR" ]; do # resolve $FIND_CONF_DIR until the file is no longer a symlink githooksdir="$( cd -P "$( dirname "$FIND_...
awesomefireduck/maillurgy
scripts/hooks/install.sh
Shell
gpl-3.0
1,001
#!/bin/sh -ex DIR=$1; shift SUFFIX=$1; shift RELPATH=$1; shift cd $DIR; for f in *$SUFFIX; do if [ -f $f -a ! -h $f ]; then if file $f | grep -m1 Mach; then chmod u+w $f if [ -n $RELPATH ]; then install_name_tool -id "@rpath/$RELPATH/$f" $f; else install_name_tool -id "@rpath/$f" $f; fi; ...
polymake/polybundle
build_scripts/functions/fix_libname.sh
Shell
gpl-3.0
350
#!/bin/bash FPID=`ps ux | grep 'dissferretd.py' | awk {'print $2'}` echo "killing pid ${FPID}" kill -n 9 $FPID
clayball/Dissembling-Ferret
servers/kill-server.sh
Shell
gpl-3.0
112
#!/bin/bash #TODO:Fix this and give a little format, for Gods sake! # Descripcion: Programa que me llena aleatoriamente de musica el pendrive, tiene que estar montado en tipo vfat # El formato de la coleccion de musica es ALBUMS/<ARTISTA>/<ALBUM> # Version: 0-0-1 i=0 a=0 if [ $# -ne 4 ] then echo -e "...
debuti/fillmymp3
fillMP3player.sh
Shell
gpl-3.0
1,836
#!/bin/bash if [ -x ./autogen.sh ]; then ./autogen.sh CFLAGS="-Wall -Wextra -ggdb -O0" make else printf "Execute this script as 'utils/build-full-debug.sh' from the main directory.\n" exit 1 fi
mbt/alltray
utils/build-full-debug.sh
Shell
gpl-3.0
211
#!/bin/bash ############################ ## Empaquetar Directorio ## ############################ # Variables rojo="\033[1;31m" verde="\033[1;32m" amarillo="\033[1;33m" azul="\033[1;34m" noColor="\033[1;00m" function info(){ echo -e "$verde Es necesario un $amarillo Directorio $verde a empaquetar" echo -e "$verde...
fryntiz/ciclosuperior
Scripts_Bash/Nivel Bajo-Medio/9_empaqueta2.sh
Shell
gpl-3.0
653
#!/bin/bash puppet config set autosign ${AUTOSIGN:-false} --section master
ageekymonk/docker-puppet
puppetserver/docker-entrypoint.d/09-configure-autosign.sh
Shell
gpl-3.0
76
#!/bin/bash #/etc/init.d/bluetooth restart # Este script es sofware libre. Puede redistribuirlo y/o modificarlo bajo # los terminos de la licencia pública general de GNU, según es publicada # por la free software fundation bien la versión 3 de la misma licencia # o de cualquier versión posterior. (según su elección ...
Diego-debian/FREE_POPS_1.0
free_pops/c_Blu.sh
Shell
gpl-3.0
1,033
#! /bin/bash ################################################## # Copy Relinux backups to '~/Backups' folder # # (only after Relinux has backed-up stuff) # ################################################## # requires: relinux (not yet available in PPA/repo) notify-send -t 3000 -i /usr/share/icons/gnome/32x3...
kernt/linuxtools
gnome3-shell/nautilus-scripts/System/Relinux-Copy.sh
Shell
gpl-3.0
1,505
#!/bin/sh # Author: Valentin Popov # Email: info@valentineus.link # Date: 2017-10-19 # Usage: /bin/sh build.sh # Description: Build the final package for installation in Moodle. # Updating the Environment PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin" export PATH="$PAT...
valentineus/moodle-webhooks
build.sh
Shell
gpl-3.0
604
#!/bin/bash # Modified for Yahoo weather by Peter Thorstenson # Based on a script written by Peter Garceau # Originally based on the RDF Feed Display Script by Hellf[i]re v0.1 # # This script is designed for the Yahoo Weather XML RSS. # Just substitute "BRXX0201" with the code for your location # # This script depend...
jmanoel7/my_shell_scripts
bin/get-weather-forecast.sh
Shell
gpl-3.0
1,073
#!/bin/sh # # This Source Code Form is subject to the terms of the Mozilla Public # License, v. 2.0. If a copy of the MPL was not distributed with this # file, You can obtain one at http://mozilla.org/MPL/2.0/. */ # Update commit hash when you need to update shavar prod list # Note: we can update this to use a tag / ...
mozilla-mobile/firefox-ios
content_blocker_update.sh
Shell
mpl-2.0
720
# find directories find . -type d | sort | awk '$0 !~ last "/" {print last} {last=$0} END {print last}' ## loop to do something whit they find /big-directory -type d | sort | awk '$0 !~ last {print last} {last=$0} END {print last}' | while read dir do # Do something useful with $dir echo $dir done ## Busca d...
heliogabalo/The-side-of-the-source
Codigo/Scripts/Bash/mark2html.sh
Shell
mpl-2.0
592
#!/usr/bin/env bash # @copyright Copyright (c) 2017, Daniel Calviño Sánchez (danxuliu@gmail.com) # # @license GNU AGPL version 3 or any later version # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU Affero General Public License as # published by the Free Softwar...
pixelipo/server
tests/acceptance/run.sh
Shell
agpl-3.0
9,823
#!/bin/sh port=$1 node index.js $1
azadbolour/boardgame
express-trial/run.sh
Shell
agpl-3.0
36
# !/bin/bash # make sure we have counter on this COUNT=0 # make sure we can run 5 sites per 5 mins LIMIT_NUM=5 LIMIT_MIN=4 for RUN in `find /var/www/sites/*/sites/*/civicrm.settings.php -mmin +$LIMIT_MIN -printf "%C@ %p\n" | sort | awk '{ print $2 }'` ; do NAME=${RUN//\/var\/www\/sites\//} NAME=${NAME%%/*} CONF...
NETivism/ansible-docker
roles/neticrm/files/neticrm_cron.sh
Shell
agpl-3.0
1,092
#!/bin/bash curl https://raw.githubusercontent.com/fivethirtyeight/data/master/murder_2016/murder_2015_final.csv \ | sed -e 's/2014_murders/murders_2014/g' \ | sed -e 's/2015_murders/murders_2015/g'
akvo/learning-sessions
noms/fetch_example_data.sh
Shell
agpl-3.0
208
#!/bin/bash # Tower git-flow Pull-Request tweak install script sudo cp ./* /Applications/Tower.app/Contents/Resources/git-flow/
brandon-reeves/tower-git-flow-github-pull-requests
install.sh
Shell
lgpl-2.1
127
#!/bin/bash #Pull latest code git pull git reset --hard git log -1 #Set execute flag on perl and bash scripts chmod u+x bgt-linux-pcie-drv/v4l/scripts/*.pl chmod u+x bgt-linux-pcie-drv/v4l/scripts/*.sh #Change v4l and make cd bgt-linux-pcie-drv/v4l make clean make -j4 KERNELRELEASE=$(uname -r) kernver=$(uname -r) #C...
marcusbirkin/BGT3xxx
build.sh
Shell
lgpl-2.1
436
rm -rf ./data/crf ./data/folds ./data/logs ./data/models ./data/tag ./data/fold_eval echo "Generating CRF vectors from documents..." sh extract_vectors.sh echo "Splitting vectors into folds..." sh split_in_folds.sh echo "Training models..." sh train_models.sh echo "Evaluation..." sh eval_models.sh
petasis/irss2014-argument-extraction
run.sh
Shell
lgpl-2.1
299
#!/bin/sh -e srcdir=`dirname "$0"` test -z "$srcdir" && srcdir=. ORIGDIR=`pwd` cd "$srcdir" autoreconf --verbose --install --force --warnings=all cd "$ORIGDIR" if test -z "$NOCONFIGURE"; then exec "$srcdir/configure" "$@" fi
bluetech/libXamine
autogen.sh
Shell
lgpl-2.1
233
#!/usr/bin/bash # Build and deploy the testmodel webapp # This script requires the standard InterMine dependencies: # * psql (createdb, psql) - your user should have a postgres # role with password authentication set up. # * ant # * a deployment container (tomcat). set -e # Errors are fatal. USERPROFILEDB=userp...
julie-sullivan/phytomine
testmodel/setup.sh
Shell
lgpl-2.1
2,315
#!/bin/bash # # Copyright (C) 2016 Colin Walters <walters@verbum.org> # # This library is free software; you can redistribute it and/or # modify it under the terms of the GNU Lesser General Public # License as published by the Free Software Foundation; either # version 2 of the License, or (at your option) any later ve...
gatispaeglis/ostree
tests/test-symbols.sh
Shell
lgpl-2.1
1,730
#!/bin/sh # # /**-------------------------------------------------------------------** # ** CLooG ** # **-------------------------------------------------------------------** # ** check_strided.sh ** ...
periscop/cloog
test/check_strided.sh
Shell
lgpl-2.1
2,637
#!/bin/bash #Version 0.1 VERBOSE=true #Change this to false if no screen output is required if [ -z "$1" ]; then echo "You must supply the address of the Zee PIIO board" echo " " echo "Usage: piio_init.sh address [port] [value]" echo "Examples: piio_init.sh 0x20 - This will set all pins as outputs" echo ...
cactixxx/piio
piio_init.sh
Shell
lgpl-3.0
2,110
#!/bin/sh # path to YII Framework export YII_PATH=/var/www-software/yii/current/yii.php # set this to application directory root ROOTDIR=/var/users/blog # set this to any temporary directory available for writing TEMPDIR=$ROOTDIR/tmp # pid file PIDFILE=$ROOTDIR/abp1mail.pid # log file LOGFILE=$TEMPDIR/abp1mail.log if ...
artstyle/BoilingPot
scripts/abp1mail.sh
Shell
lgpl-3.0
576
sh tulip_run_test.sh layout_bubble_pack bubble_pack.tlp
tulip5/tulip
tests/gui/run_layout_bubble_pack_test.sh
Shell
lgpl-3.0
56
#!/bin/bash ESC_P="$(echo "$1" | sed -e 's/[!()&|]/\\&/g')" sh -c './dpt --profile=test --search='$ESC_P
BroSkylark/PictureTracker
find.sh
Shell
unlicense
106
#!/usr/bin/env bash # # The Alluxio Open Foundation licenses this work under the Apache License, version 2.0 # (the "License"). You may not use this work except in compliance with the License, which is # available at www.apache.org/licenses/LICENSE-2.0 # # This software is distributed on an "AS IS" basis, WITHOUT WARRA...
aaudiber/alluxio
bin/alluxio-start.sh
Shell
apache-2.0
16,557
#!/usr/bin/env bash # Licensed to the Apache Software Foundation (ASF) under one # or more contributor license agreements. See the NOTICE file # distributed with this work for additional information # regarding copyright ownership. The ASF licenses this file # to you under the Apache License, Version 2.0 (the # "Lice...
mrkm4ntr/incubator-airflow
scripts/in_container/run_prepare_provider_packages.sh
Shell
apache-2.0
6,308
#!/bin/bash # Copyright 2020 Google LLC # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to i...
GoogleCloudPlatform/ai-platform-samples
training/tensorflow/census/tf-keras/scripts/train-cloud.sh
Shell
apache-2.0
1,704
#!/usr/bin/env bash params=("$@") ulimit -H -n 131072 || true ulimit -S -n 131072 || true rm -rf cluster if [ -d cluster-init ];then echo "== creating cluster directory from existing cluster-init directory" cp -a cluster-init cluster else echo "== creating fresh directory" mkdir -p cluster || { echo "failed t...
Simran-B/arangodb
scripts/startLocalCluster.sh
Shell
apache-2.0
9,624
docker build -t wuchang/gogs:latest .
wuchang/Dockerfile
gogs/latest/build.sh
Shell
apache-2.0
38
#!/usr/bin/env bash set -euo pipefail EXAMPLE_DIR=$(dirname $0)/../../../examples/misc # TODO move to util file # retry function adapted from: # https://unix.stackexchange.com/questions/82598/how-do-i-write-a-retry-logic-in-script-to-keep-retrying-to-run-it-upto-5-times/82610 function retry { local n=1 local max...
fission/fission-workflows
test/e2e/tests/test_fission_params.sh
Shell
apache-2.0
1,553
#!/bin/bash set -e # initialization initialize_migrator() { # sets colors for use in output GREEN='\e[32m' BLUE='\e[34m' YELLOW='\e[0;33m' RED='\e[31m' BOLD='\e[1m' CLEAR='\e[0m' # pre-configure ok, warning, and error output OK="[${GREEN}OK${CLEAR}]" INFO="[${BLUE}INFO${CLEAR}]" NOTICE="[${YELL...
pcorliss/migrator
migrator.sh
Shell
apache-2.0
13,529
#!/bin/sh # (C) Copyright IBM Corporation 2016. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or ag...
IBM-UrbanCode/UCD-Docker-Images
tools/test/imageTestRunner.sh
Shell
apache-2.0
2,520
#!/bin/bash # Copyright 2019 - 2022 Crunchy Data Solutions, Inc. # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicabl...
CrunchyData/crunchy-containers
bin/postgres_common/exporter/install.sh
Shell
apache-2.0
2,211
while [ "$1" != "" ]; do case $1 in -u ) shift fname=$1 ;; -t ) shift WAITTIME=$1 ;; -s ) shift ...
BrandiATMuhkuh/downloadAccelerator
dlScript.sh
Shell
apache-2.0
1,281
#!/bin/bash if [ -z "$P9MAMBO_PATH" ]; then P9MAMBO_PATH=/opt/ibm/systemsim-p9/ fi if [ -z "$P9MAMBO_BINARY" ]; then P9MAMBO_BINARY="/run/p9/power9" fi if [ ! -x "$P9MAMBO_PATH/$P9MAMBO_BINARY" ]; then echo "Could not find executable P9MAMBO_BINARY ($P9MAMBO_PATH/$MAMBO_BINARY). Skipping sreset_world tes...
mikey/skiboot
test/sreset_world/run_mambo_p9_sreset.sh
Shell
apache-2.0
1,650
#!/bin/bash -x rosrun pr2_controller_manager pr2_controller_manager stop r_arm_controller rosrun pr2_controller_manager pr2_controller_manager stop l_arm_controller rosrun pr2_controller_manager pr2_controller_manager unload r_arm_controller rosrun pr2_controller_manager pr2_controller_manager unload l_arm_controller ...
gt-ros-pkg/hrl-haptic-manip
hrl_haptic_mpc/change_gains_pr2.sh
Shell
apache-2.0
726
# add custom script in here VM_INIT='http://172.16.2.254/Packer/qga/vm_init.sh' QEMU_GA='http://172.16.2.254/Packer/qga/qemu-ga.deb8' # add respawn script cat <<'EOF' > /lib/systemd/system/qemu-guest-agent.service [Unit] Description=QEMU Guest Agent BindsTo=dev-virtio\x2dports-org.qemu.guest_agent.0.device After=dev-...
davidddw/imageBuilder
debian_8.x_kvm_livecloud/scripts/custom_kvm.sh
Shell
apache-2.0
1,796
#!/bin/sh ./jl_gen_mfcc_feat.jl -j 1 -m 7 -f 14 -e false \ --mp3-dir "../../data/test" \ --h5-mp3-file "testXmp3.h5" \ --h5-mp3-dset "lid/test/X/mp3" \ --h5-mfcc-file "testX_mfcc_7.h5" \ --h5-mfcc-dset "lid/test/X/mfcc"
WojciechMigda/TCO-SpokenLanguages2
src/sh_gen_test_mfcc_7.sh
Shell
apache-2.0
231
xctool test -workspace Pdef.xcworkspace/ -scheme "iOS Tests" -sdk iphonesimulator
pdef/pdef-objc
run-ios-tests.sh
Shell
apache-2.0
82
#!/bin/sh # # 12.04,4.0.4 # 1. # <command-line>:0:0: error: "_FORTIFY_SOURCE" redefined [-Werror] # build/core/combo/HOST_linux-x86.mk # HOST_GLOBAL_CFLAGS += -D_FORTIFY_SOURCE=0 # HOST_GLOBAL_CFLAGS += -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=0 # 2. # external/mesa3d/src/glsl/linker.cpp:1394:49: error: expected primary-ex...
span999/build-scripts
imx/android-422/goandroid.sh
Shell
apache-2.0
6,833
#!/bin/sh # Copyright 2005-2017 ECMWF. # # This software is licensed under the terms of the Apache Licence Version 2.0 # which can be obtained at http://www.apache.org/licenses/LICENSE-2.0. # # In applying this licence, ECMWF does not waive the privileges and immunities granted to it by # virtue of its status as an in...
0x1mason/GribApi.XP
grib_api/tests/grib_step.sh
Shell
apache-2.0
4,254
#!/bin/bash {# Copyright 2017 Cargill Incorporated Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable l...
Cargill/pipewrench
templates/sqoop-parquet-hdfs-hive-merge/move-1st-sqoop.sh
Shell
apache-2.0
813
#!/bin/bash -e . /var/cache/build/packages-manual/common.sh download_and_verify \ hartleys \ qorts \ 1.3.0 \ 036523a1b024121244f6a1aea5b41eb0f83d8619fb3b598fa125d2999b00fda8 \ https://github.com/hartleys/QoRTs/releases/download/\${version}/QoRTs.jar cat <<'EOF' >QoRTs #!/bin/bash java "${1}" -j...
genialis/resolwe-bio
resolwe_bio/docker_images/common/packages-manual/qorts.sh
Shell
apache-2.0
425
#!/bin/sh # _Tr=$(tput sgr0) # Text reset. _Br=$(tput setab 1) # Red NOWTIME=`date +%Y%m%d%02k%02M%02S` AROOT=`pwd` WSFOLDER=anadroid-emulator WSPATH=${AROOT}/${WSFOLDER} CPUS=12 AVER=6.0.0_r1 #AVER=5.0.2_r1 #AVER=4.4.3_r1 AFOLDER=android-${AVER} BUBOARD=aosp_arm BUMODE=eng LUNCHTYPE=${BUBOARD}-${BUMODE} #LUNCHTYPE=...
span999/build-scripts
imx/bld-android-aMM600.sh
Shell
apache-2.0
2,305
#!/bin/bash # # (C) Copyright IBM Corporation 2015. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law o...
WASdev/ci.docker.ibm-http-server
static-topology/test/testMerge.sh
Shell
apache-2.0
6,752
#!/bin/sh set -xe cp_static () { pkg-config $1 || exit 0 dir=$(pkg-config --static --libs-only-L $1) if [ -z "$(echo $dir)" ]; then exit 0 fi dir=$(echo $dir | sed 's/^-L//') if [ -f "${dir}/$2" ]; then cp "${dir}/$2" "$OUT_DIR" fi } if [ "$(uname -s)" = "Linux" ]; then ...
alexcrichton/openssl-static-sys
build/cp_ssl.sh
Shell
apache-2.0
389
#!/bin/bash if [ -z "$ANDROID_SDK" ]; then . ./env.sh fi if [ ! -d "$ANDROID_SDK" ]; then echo "Please install Android SDK into "$ANDROID_SDK exit 1 fi if [ ! -d "$ANDROID_NDK" ]; then echo "Please install Android NDK into "$ANDROID_NDK exit 1 fi if [ "$1" = "clean" ]; then echo "Cleaning dali..." rm -...
dalihub/dali-demo
build/android/dali/build.sh
Shell
apache-2.0
752
#!/bin/sh set -e cd $HOME/logs flock -n ~/var/locks/approve-cleaner $HOME/services/java-wrappers/approve-cleaner $HOME/services/conf/approve-cleaner.properties "$@"
statsbiblioteket/digital-pligtaflevering-aviser-tools
tools/dpa-tools-deployment/for-deployment/bin/approve-cleaner.sh
Shell
apache-2.0
167
#!/usr/bin/env bash # PLEASE NOTE: This script has been automatically generated by conda-smithy. Any changes here # will be lost next time ``conda smithy rerender`` is run. If you would like to make permanent # changes to this script, consider a proposal to conda-smithy so that other feedstocks can also # benefit from...
renesugar/arrow
dev/tasks/conda-recipes/run_docker_build.sh
Shell
apache-2.0
2,479
#!/usr/bin/env bash # This script will use cli53 to export the zone file for each Hosted Zone domain in Route 53 for git version control # Requires Python, pip, awscli, cli53 # For more info on cli53 see https://github.com/barnybug/cli53 # Download here: https://github.com/barnybug/cli53/releases/latest # Functions #...
swoodford/aws
route53-export-zones.sh
Shell
apache-2.0
3,933
#args list #1: Path to input compact-reads file #2: Output file function run_minia { local INPUT=$1 local OUTPUT=$2 shift shift #minia doesnt support compact-reads, convert to fasta local TEMPFILE=`mktemp readsXXXX` run_goby 4g compact-to-fasta --output-format fasta --fasta-line-length 10000 --input ${IN...
CampagneLaboratory/gobyweb2-plugins
plugins/resources/MINIA_2013_1.4961/script-minia.sh
Shell
apache-2.0
621
source mysql-commands/local-get-last-post-id.sh source mysql-commands/remote-get-last-post-id.sh source mysql-commands/compare-post-ids.sh
franciscof5/mysql-manager
mysql-operations/auto-sync.sh
Shell
apache-2.0
141
#!/usr/bin/env bash # Arguments: # 0: <srcDir> - project root dir # 1: <dstDir> - output dir # 2: <language> - optional # Example usage: # ./collect-cuba.sh ~/work/cuba ../../content/en/cuba/7.2 ./CollectMessages.sh $1 $2 global com.haulmont.cuba $3 ./CollectMessages.sh $1 $2 core com.haulmont.cuba.core $3 ./Collect...
cuba-platform/translations
tools/collect/collect-cuba.sh
Shell
apache-2.0
422
#!/usr/bin/env bash # Copyright 2018 The Knative Authors # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable ...
knative-sandbox/eventing-couchdb
hack/update-codegen.sh
Shell
apache-2.0
2,143
#!/bin/bash # # Copyright 2018 Google LLC # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed t...
GoogleCloudPlatform/cos-customizer
testing/smoke_test/preload.sh
Shell
apache-2.0
992
#!/bin/bash # # This script installs the Google App Engine artifacts into you local Maven repository. # # If you would like to avoid the need for this step, ask Google by voting for the following issue: # http://code.google.com/p/googleappengine/issues/detail?id=1296 # if [ "$1" == "" ] then echo "usage: $0 /pa...
phuongnd08/maven-geaForTest-plugin
gae-deploy.sh
Shell
apache-2.0
2,043
#!/usr/bin/env bash ############################################################################ # Copyright 2015 Valerio Morsella # # # # Licensed under the Apache License, Version 2.0 (the "License"); ...
valermor/nose2-tests-recipes
scripts/run_concurrent_tests.sh
Shell
apache-2.0
1,469
#!/bin/bash # # Copyright (c) 2001-2016 Primeton Technologies, Ltd. # All rights reserved. # # author: ZhongWen Li (mailto:lizw@primeton.com) # if [ -z ${TOMCAT_HOME} ]; then echo "Error, TOMCAT_HOME environment variable not found." exit 1 fi # # Java Remote Debug Enable # if [ -z "${USE_DEBUG_PORT}" ]; then U...
Primeton-External/euler-chidi
installer/docker/tomcat8/resources/entrypoint.sh
Shell
apache-2.0
3,186
#!/usr/bin/env sh # generated from catkin/python/catkin/environment_cache.py # based on a snapshot of the environment before and after calling the setup script # it emulates the modifications of the setup script without recurring computations # new environment variables export CATKIN_TEST_RESULTS_DIR="/home/gautam/he...
MRSDTeamI/bud-e
ROS/src/BUD-E/hearbo_2dnav/command_line_goals/build/catkin_generated/setup_cached.sh
Shell
apache-2.0
1,381
#!/bin/bash -xeu PKG_NAME=${1:-${CI_REPO##*/}} if [[ "$CI_BRANCH" =~ ^v[0-9]+.[0-9]?* ]]; then eval export ${PKG_NAME^^}_RELEASE_VERSION=\$CI_BRANCH echo ${CI_BRANCH} | tail -c +2 > __conda_version__.txt fi # python2 setup.py sdist # python2 -m pip install dist/*.tar.gz # (cd /; python2 -m pytest --pyargs $PKG_...
bjodah/symvarsub
scripts/ci.sh
Shell
bsd-2-clause
604
#!/usr/bin/env bash # Make sure the package information is up-to-date apt-get update || exit 1 # Compilers apt-get install -y g++-4.8 || exit 1 apt-get install -y gfortran-4.8 || exit 1 apt-get install -y clang-3.4 || exit 1 # Configuration apt-get install -y cmake || exit 1 # Source control apt-get install -y git ...
aterrel/dynd-python
vagrant/trusty32-py33/bootstrap.sh
Shell
bsd-2-clause
1,891
#!/bin/bash ./gradlew clean ./gradlew installDist # Fix problem arising if eclipse is used jointly mkdir build/xtend/test mkdir build/blang/test
UBC-Stat-ML/inits
setup-cli.sh
Shell
bsd-2-clause
148
#!/usr/bin/env bash LIB_VERSION=4.1.2 MASON_NAME=geojsonvt MASON_VERSION=${LIB_VERSION}-cxx11abi MASON_LIB_FILE=lib/libgeojsonvt.a . ${MASON_DIR}/mason.sh function mason_load_source { mason_download \ https://github.com/mapbox/geojson-vt-cpp/archive/v${LIB_VERSION}.tar.gz \ a98f44ee9f059e41a90df...
hydrays/osrm-backend
third_party/mason/scripts/geojsonvt/4.1.2-cxx11abi/script.sh
Shell
bsd-2-clause
1,012
#!/bin/bash export PATH='/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin' SHELLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" function show_retran_rate() { netstat -s -t > /tmp/netstat_s 2>/dev/null s_r=`cat /tmp/netstat_s | grep 'segments send out' | awk '{print $1}'` s_re=`cat /tmp/nets...
thomaszhao/t_toolkit
linux/retransmit_rate.sh
Shell
bsd-3-clause
917
#!/bin/bash -e rm -f ${ROOTFS_DIR}/usr/lib/os-release install -m 644 files/os-release ${ROOTFS_DIR}/usr/lib/
brindosch/pi-gen
stage3/00-sys-tweaks/00-run.sh
Shell
bsd-3-clause
110
export HOME=/root set -x set -e cat > requirements.txt <<EOT numpy==1.16.0 Click==7.0 CppHeaderParser==2.7.4 dash==0.21.1 dash-core-components==0.23.0 dash-html-components==0.11.0 dash-renderer==0.13.0 deltasigma==0.2.2 Flask==1.1.1 Flask-Compress==1.4.0 imutils==0.5.3 ipywidgets==7.5.1 itsdangerous==1.1.0 Jinja2==2...
yunqu/PYNQ
sdbuild/packages/python_packages_bionic/qemu.sh
Shell
bsd-3-clause
946
#!/usr/bin/env bash . version.sh . protodefs.sh [ -d ${XML_DIR} ] && { PATCHFILE=${PWD}/xmlpatch pushd ${DOWNLOAD_PATH}/${XPROTO_PACKAGE} > /dev/null diff -u -r src patched > ${PATCHFILE} popd > /dev/null }
aslatter/xhb
makeprotopatch.sh
Shell
bsd-3-clause
225
#!/usr/bin/env bash DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" xmllint --noblanks $DIR/../../doc/oui.xml | xsltproc $DIR/../../etc/oui.xsl - | php -r "require_once('$DIR/../../libs/vendor/jsbeautifier.class.php'); \$js = file_get_contents('php://stdin'); \$opts = new BeautifierOptions(); \$opts->indent_s...
octris/org.octris.oui
test/xsl/test.sh
Shell
bsd-3-clause
363
php54 -S localhost:31415 -t www/ > /dev/null 2>&1 & echo $! > test-php.pid rm app/data/test.db app/yiic migrate --connectionID=dbTest --interactive=0 > /dev/null codecept.phar run unit rm app/data/test.db app/yiic migrate --connectionID=dbTest --interactive=0 > /dev/null codecept.phar run functional rm app/data/test...
motin/giic-gtc-hybrid-template-demo
test-dev.sh
Shell
bsd-3-clause
463
#!/bin/bash #This bash file handles the running of the oscillator code. #Example chmod +X run_oscilator.sh; ./run_oscilator.sh 1000 4 mpi; will run the #oscillator for 1000 rounds over 4 cores using mpi. source activate intel echo 'starting...' rm -r output* rm -r *src/__* cd src/cython_files #rm -rf build *so *c *h...
ibegleris/Single-mode-FOPO
run_oscilator.sh
Shell
bsd-3-clause
873